<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

$config = OW::getConfig();
$gr = OW::getRouter();
$webProperty = $config->getValue('gapro', 'web_property');

if ( $webProperty !== null )
{

    function gapro_tracker()
    {
		$config = OW::getConfig();
		$webProperty = $config->getValue('gapro', 'web_property');
		$anonymizeIp = $config->getValue('gapro', 'anonymize_ip');
		
		if ( $anonymizeIp == 1 ){
		
			$try = '
				var pageTracker = _gat._getTracker("'. trim($webProperty) .'");
				_gat._anonymizeIp();
				pageTracker._trackPageview();
			';
		}
		else{
			$try = '
				var pageTracker = _gat._getTracker("'. trim($webProperty) .'");
				pageTracker._trackPageview();
			';
		}
		
		$script = '<script type="text/javascript">
			var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
			document.write(unescape("%3Cscript src=\'" + gaJsHost + "google-analytics.com/ga.js\' type=\'text/javascript\'%3E%3C/script%3E"));
			</script>
			<script type="text/javascript">
			try {
				'.$try.'
			} catch(err) {}
		</script>';
		
		OW::getDocument()->appendBody($script);
    }
    OW::getEventManager()->bind(OW_EventManager::ON_FINALIZE, 'gapro_tracker');
}

$gr->addRoute(new OW_Route('gapro_admin_settings', 'admin/plugins/gapro/settings', 'GAPRO_CTRL_Admin', 'settings'));
$gr->addRoute(new OW_Route('gapro_admin_report', 'admin/plugins/gapro/report', 'GAPRO_CTRL_Admin', 'report'));
$gr->addRoute(new OW_Route('gapro_admin_browser', 'admin/plugins/gapro/report/browsers', 'GAPRO_CTRL_Admin', 'browser'));
$gr->addRoute(new OW_Route('gapro_admin_country', 'admin/plugins/gapro/report/countries', 'GAPRO_CTRL_Admin', 'country'));
$gr->addRoute(new OW_Route('gapro_admin_freetips', 'admin/plugins/gapro/report/freetips', 'GAPRO_CTRL_Admin', 'freetips'));
$gr->addRoute(new OW_Route('gapro_admin_donate', 'admin/plugins/gapro/donate', 'GAPRO_CTRL_Admin', 'donate'));

function gapro_admin_notification( BASE_CLASS_EventCollector $event )
{
	$config = OW::getConfig();
	$webProperty = $config->getValue('gapro', 'web_property');
	$clientId = $config->getValue('gapro', 'client_id');
	$gr = OW::getRouter();

    if ( empty($webProperty) || empty($clientId) )
    {
        $event->add(OW::getLanguage()->text('gapro', 'admin_notification_text', array('link' => $gr->urlForRoute('gapro_admin_settings'))));
    }
}
OW::getEventManager()->bind('admin.add_admin_notification', 'gapro_admin_notification');
