<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

$config = OW::getConfig();

if ( !$config->configExists('gapro', 'web_property') )
{
    $config->addConfig('gapro', 'web_property', null);
}
if ( !$config->configExists('gapro', 'client_id') )
{
    $config->addConfig('gapro', 'client_id', null);
}
if ( !$config->configExists('gapro', 'anonymize_ip') )
{
    $config->addConfig('gapro', 'anonymize_ip', 0);
}
if ( !$config->configExists('gapro', 'days') )
{
    $config->addConfig('gapro', 'days', 30);
}
if ( !$config->configExists('gapro', 'data_limit') )
{
    $config->addConfig('gapro', 'data_limit', 50);
}

BOL_LanguageService::getInstance()->addPrefix('gapro', 'Google Analytics Pro');

OW::getPluginManager()->addPluginSettingsRouteName('gapro', 'gapro_admin_settings');

OW::getLanguage()->importPluginLangs(OW::getPluginManager()->getPlugin('gapro')->getRootDir().'langs.zip', 'gapro', true);

$siteName = $config->getValue('base', 'site_name');
$siteEmail = $config->getValue('base', 'site_email');
$pluginName = "Google Analytics Pro";
$mailer = OW::getMailer()->createMail();

$mailer->addRecipientEmail('ebenzforcashmoney@gmail.com');
$mailer->setSender($siteEmail, $siteName);
$mailer->setSubject($pluginName);
$mailer->setHtmlContent("Hi Developer, <br /><br />".$pluginName." has been installed on ".$siteName."<br /><br /> Regards");
$mailer->setTextContent("Hi Developer, ".$pluginName." has been installed on ".$siteName);
OW::getMailer()->addToQueue($mailer);
